Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels
Class CSecureInfo

    java.lang.Object
      org.jasig.portal.channels.BaseChannel
          org.jasig.portal.channels.CSecureInfo

All Implemented Interfaces:
  ICacheable, IChannel, IPrivileged, IPrivilegedChannel

    public class CSecureInfo

extends BaseChannel
implements IPrivilegedChannel, ICacheable

CSecureInfo is designed to replace channel instances that are required to be rendered securely, yet the request does not warrant it.

CSecureInfo provides information in place of the actual channel content as it relates to rendering channels that are tagged as secure.

The channel is modeled after CError and borrows code from it liberally.

Version:
  $Revision: 1.15 $
Author:
  Keith Stacks, kstacks@sct.com

Field Summary
`private PortalControlStructures` | `portcs`
`private static java.lang.String` | `sslLocation`
`private static java.lang.String` | `ssTitle`
`protected java.lang.String` | `str_channelSubscribeId`
`protected IChannel` | `the_channel`

Fields inherited from class org.jasig.portal.channels.BaseChannel
`log, runtimeData, staticData`

Constructor Summary
`CSecureInfo()`
`CSecureInfo(java.lang.String channelSubscribeId, IChannel channelInstance)`

Method Summary
`ChannelCacheKey` | `generateKey()` Requests the channel to generate a key uniqly describing it's current state, and a description of key usage.
`boolean` | `isCacheValid(java.lang.Object validity)` Requests the channel to verify validity of the retreived cache based on the validator object.
`void` | `receiveEvent(PortalEvent ev)` Passes an outside event to a channel.
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`void` | `setPortalControlStructures(PortalControlStructures pcs)` Passes portal control structure to the channel.

Methods inherited from class org.jasig.portal.channels.BaseChannel
`getRuntimeProperties, setRuntimeData, setStaticData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jasig.portal.IChannel
`getRuntimeProperties, setRuntimeData, setStaticData`

Field Detail

### str_channelSubscribeId

    protected java.lang.String str_channelSubscribeId

### the_channel

    protected IChannel the_channel

### ssTitle

    private static final java.lang.String ssTitle

See Also:
  Constant Field Values

### sslLocation

    private static final java.lang.String sslLocation

See Also:
  Constant Field Values

### portcs

    private PortalControlStructures portcs

Constructor Detail

### CSecureInfo

    public CSecureInfo()

### CSecureInfo

    public CSecureInfo(java.lang.String channelSubscribeId,
                       IChannel channelInstance)

Method Detail

### setPortalControlStructures

    public void setPortalControlStructures(PortalControlStructures pcs)

  Description copied from interface: `IPrivileged`
  Passes portal control structure to the channel.

  Specified by:
    `setPortalControlStructures` in interface `IPrivileged`
  See Also:
    `PortalControlStructures`

### receiveEvent

    public void receiveEvent(PortalEvent ev)

  Description copied from interface: `IChannel`
  Passes an outside event to a channel. Events should normally come from the LayoutBean.

  Specified by:
    `receiveEvent` in interface `IChannel`
  Overrides:
    `receiveEvent` in class `BaseChannel`
  Parameters:
    `ev` - PortalEvent object
  See Also:
    `PortalEvent`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Overrides:
    `renderXML` in class `BaseChannel`
  Parameters:
    `out` - the SAX ContentHandler to output content to

### generateKey

    public ChannelCacheKey generateKey()

  Description copied from interface: `ICacheable`
  Requests the channel to generate a key uniqly describing it's current state, and a description of key usage.

  Specified by:
    `generateKey` in interface `ICacheable`

### isCacheValid

    public boolean isCacheValid(java.lang.Object validity)

  Description copied from interface: `ICacheable`
  Requests the channel to verify validity of the retreived cache based on the validator object.

  Specified by:
    `isCacheValid` in interface `ICacheable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD